Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037825
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-02-04 15:522018-03-15 17:31
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision8772ee6ea67b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037825: Fix new javadoc warnings active by default in JDK 9

Descriptionjavadoc activated a a subset of -Xdoclint:html in java9 by default and show around 190 warnings with pi codebase.

Initial jdk9 support in 37083 switched off those using -Xdoclint:none but going forwards it makes sense to fix those up.

Most of those are just using html escape for <, >, &
Steps To Reproduceremove -Xdoclint:none line from generate.javadoc.jdk9 and run ant generate.java.doc
Proposed SolutionFix javadoc comments
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0037083 closedalostale support JDK 9 
related to defect 0038098 closedshuehner Fix new javadoc warnings of -Xdoclint:html active by default as errors since Java 8 
related to design defect 0038152 newplatform Fix more javadoc warnings active by default in JDK 9 

-  Notes
(0102189)
hgbot (developer)
2018-02-05 13:55

Repository: erp/devel/pi
Changeset: 8772ee6ea67b3b72259f35a785dd08859234585d
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Feb 04 15:54:55 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8772ee6ea67b3b72259f35a785dd08859234585d [^]

Fixed 37825. Fix javadoc syntax to not show warnings with JDK 9.

Javadoc from Java9 is more strict by enabling a subset of -Xdoclint:html and
complains about any unescaped <,>,& in comments.

Apart from fixing all those in pi also undo the addition of -Xdoclint:none
to build.xml to let javadoc check those again.

---
M build.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ExtraWindowSettingsInjector.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ParameterUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ReorderCascadingChildDeletionsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M src-test/src/org/openbravo/advpaymentmngt/test/DocumentNumberGeneration.java
M src-test/src/org/openbravo/test/base/BaseTest.java
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/db/model/functions/Ad_isorgincludedTest.java
M src-test/src/org/openbravo/test/pricelist/data/PriceListTestData.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceTestUtils.java
M src-test/src/org/openbravo/test/role/inheritance/VerticalInheritance.java
M src-test/src/org/openbravo/test/xml/ClientExportImportTest.java
M src/org/openbravo/base/util/Check.java
M src/org/openbravo/common/actionhandler/copyfromorderprocess/UpdateTax.java
M src/org/openbravo/common/datasource/ReturnFromCustomerVendorPropertyFieldsTransformer.java
M src/org/openbravo/dal/core/DalRequestFilter.java
M src/org/openbravo/dal/xml/StaxXMLEntityConverter.java
M src/org/openbravo/erpCommon/ad_forms/Fact.java
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/modules/VersionUtility.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/utility/BasicUtility.java
M src/org/openbravo/erpCommon/utility/HttpsUtils.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/jmx/MBeanRegistry.java
---
(0102190)
alostale (developer)
2018-02-05 13:56

reviewed

- Issue History
Date Modified Username Field Change
2018-02-04 15:52 shuehner New Issue
2018-02-04 15:52 shuehner Assigned To => platform
2018-02-04 15:52 shuehner Modules => Core
2018-02-04 15:52 shuehner Triggers an Emergency Pack => No
2018-02-04 15:52 shuehner Relationship added related to 0037083
2018-02-04 15:52 shuehner Assigned To platform => shuehner
2018-02-04 15:52 shuehner Review Assigned To => alostale
2018-02-05 13:55 hgbot Checkin
2018-02-05 13:55 hgbot Note Added: 0102189
2018-02-05 13:55 hgbot Status new => resolved
2018-02-05 13:55 hgbot Resolution open => fixed
2018-02-05 13:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8772ee6ea67b3b72259f35a785dd08859234585d [^]
2018-02-05 13:56 alostale Note Added: 0102190
2018-02-05 13:56 alostale Status resolved => closed
2018-02-05 13:56 alostale Fixed in Version => 3.0PR18Q2
2018-03-11 13:03 shuehner Issue cloned 0038098
2018-03-11 13:03 shuehner Relationship added related to 0038098
2018-03-15 17:31 caristu Issue cloned 0038152
2018-03-15 17:31 caristu Relationship added related to 0038152


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker